// Copyright (C) 2006 The Ascal Authors - see AUTHORS for more information
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef _gozoai_sit_HPP
#define _gozoai_sit_HPP
#include <list>
#include <ourmove.hpp>
#include <field.hpp>
#include <glibmm.h>

class gozoai_sit {
public:
		gozoai_sit();
		~gozoai_sit();

		ourmove_t train;	//this is the real move
		fieldvec_t board;	//the board _after_ the move
		std::vector<ourmove_t>  trainVec;
		bool victory;
		gdouble summed_victory;
		gdouble mana;
		gdouble summed_mana;
		std::list<gozoai_sit> *nextMoves;
		bool longer;
};

#endif
