// Copyright (C) 2006 The Ascal Authors - see AUTHORS for more information
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef _OURMOVE_HPP_
#define _OURMOVE_HPP_
#include <vector>

typedef std::vector<int> ourmove_t;
typedef std::vector<int>::iterator ourmove_it_t;

typedef enum {
	CORRECT=1,
	NORMAL,
	NORMAL_OFFICER,
	MOVE,
	SINGLE,
	DOUBLE,
	WRONG_STONE,
	WRONG_DIRECTION,
	FIELD_FULL,
	CANT_BEAT,
	FIELD_DOUBLE,
	WRONG,
	BACK,
	BACK2,
	RESET	
} move_signal;

#endif
