// Copyright (C) 2006 The Ascal Authors - see AUTHORS for more information
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef _FIELD_HPP
#define _FIELD_HPP

/** Defines one field 

*/
typedef struct {
	/**	- anz_oben is the number of stones on top of the field (<0 for white, >0 black)
	*/
	int anz_oben;
	/**- off_oben is a bitfield defining the officers in the top part (lowest bit is the stone on top)
	*/
	int off_oben;
	/**- anz_unten off_unten is the same for the stones in the cellar
	*/
	int anz_unten;
	int off_unten;
	int number;
} field_t;


typedef std::vector<field_t> fieldvec_t;
typedef std::vector<field_t>::iterator fieldvec_it_t;

#endif //_FIELD_HPP
