// Copyright (C) 2006 The Ascal Authors - see AUTHORS for more information
//  
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef _OUROBSERVER_HPP
#define _OUROBSERVER_HPP

#include "observer.hpp"
#include "board.hpp"
#include "ourmove.hpp"
#include "shareddata.hpp"

class ourobserver : public Observer {
public:
  //ourobserver();
  void update (Move myMove) {
  	return;
  }
  virtual void update (ourmove_t move)=0;
  virtual void update_all ()=0;
  virtual void victory(bool player)=0;

};

#endif
